=== removed file 'ivle/conf/README'
--- ivle/conf/README	2009-01-13 01:36:15 +0000
+++ ivle/conf/README	1970-01-01 00:00:00 +0000
@@ -1,16 +0,0 @@
-conf directory - README
-=======================
-
-This directory contains Python files for configuration purposes. These files
-should be edited by administrators who wish to configure how IVLE is set up
-and which apps are available.
-
-conf.py
--------
-
-Note: Please do not commit conf.py to the repository. This file is
-autogenerated by ../setup.py.
-
-If you wish to make changes to the way conf.py is set up, please edit the
-conf.py template string found inside ../setup.py. Then the administrator may
-configure conf.py as they wish.

=== removed file 'ivle/conf/apps.py'
--- ivle/conf/apps.py	2009-02-17 05:48:44 +0000
+++ ivle/conf/apps.py	1970-01-01 00:00:00 +0000
@@ -1,42 +0,0 @@
-# IVLE Configuration File
-# conf/apps.py
-# Configuration of plugin applications for IVLE
-# These should not need to be modified by admins unless new applications are
-# plugged in.
-
-# Allow App objects
-# Notes:
-# icon is a string of a file basename. The icon files are found in
-# app_icon_dir, defined below.
-class App:
-    def __init__(self, dir, name, desc=None, icon = None,
-        useconsole = False, requireauth = True, hashelp = False):
-        self.dir = dir
-        self.name = name
-        self.desc = desc
-        self.icon = icon
-        self.useconsole = useconsole
-        self.requireauth = requireauth
-        self.hashelp = hashelp
-    def __repr__(self):
-        return ("App(dir=%s, name=%s, desc=%s, icon=%s, requireauth=%s, "
-                "hashelp=%s)" % (repr(self.dir), repr(self.name),
-                repr(self.desc), repr(self.icon), repr(self.requireauth),
-                repr(self.hashelp)))
-
-# Which application to use for "public host" URLs.
-# (See conf.py)
-public_app = "serve"
-
-# Application definitions
-
-app_fileservice = App(dir = "fileservice",
-                    name = "File Service (AJAX server)",
-                    requireauth = True,
-                    hashelp = False)
-
-# Mapping URL names to apps
-
-app_url = {
-    "fileservice" : app_fileservice,
-}

=== modified file 'ivle/dispatch/__init__.py'
--- ivle/dispatch/__init__.py	2009-02-17 23:16:13 +0000
+++ ivle/dispatch/__init__.py	2009-02-18 04:54:44 +0000
@@ -41,12 +41,10 @@
 
 from ivle import util
 import ivle.conf
-import ivle.conf.apps
 from ivle.dispatch.request import Request
 from ivle.dispatch import login
 from ivle.webapp.base.plugins import ViewPlugin, PublicViewPlugin
 from ivle.webapp.errors import HTTPError, Unauthorized
-import apps
 import html
 
 def generate_route_mapper(view_plugins, attr):
@@ -112,7 +110,6 @@
     conf = ivle.config.Config()
     req.config = conf
 
-    ### BEGIN New plugins framework ###
     if req.publicmode:
         req.mapper = generate_route_mapper(conf.plugin_index[PublicViewPlugin],
                                            'public_urls')
@@ -164,56 +161,7 @@
             req.store.commit()
             return req.OK
     else:
-        # We had no matching URL! Check if it matches an old-style app. If
-        # not, 404.
-        if req.app not in ivle.conf.apps.app_url:
-            return req.HTTP_NOT_FOUND # TODO: Prettify.
-    ### END New plugins framework ###
-
-
-    ### BEGIN legacy application framework ###
-    # We have no public apps back here.
-    assert not req.publicmode
-
-    # app is the App object for the chosen app
-    if req.app is None:
-        app = ivle.conf.apps.app_url[ivle.conf.apps.default_app]
-    else:
-        app = ivle.conf.apps.app_url[req.app]
-
-    # Check if app requires auth. If so, perform authentication and login.
-    # This will either return a User object, None, or perform a redirect
-    # which we will not catch here.
-    if app.requireauth:
-        logged_in = req.user is not None
-    else:
-        logged_in = True
-
-    assert logged_in # XXX
-
-    if logged_in:
-        # Keep the user's session alive by writing to the session object.
-        # req.get_session().save()
-        # Well, it's a fine idea, but it creates considerable grief in the
-        # concurrent update department, so instead, we'll just make the
-        # sessions not time out.
-        req.get_session().unlock()
-
-        # Call the specified app with the request object
-        apps.call_app(app.dir, req)
-
-    # MAKE SURE we write the HTTP (and possibly HTML) header. This
-    # wouldn't happen if nothing else ever got written, so we have to make
-    # sure.
-    req.ensure_headers_written()
-
-    # When done, write out the HTML footer if the app has requested it
-    if req.write_html_head_foot:
-        html.write_html_foot(req)
-
-    # Note: Apache will not write custom HTML error messages here.
-    # Use req.throw_error to do that.
-    return req.OK
+        return req.HTTP_NOT_FOUND # TODO: Prettify.
 
 def handle_unknown_exception(req, exc_type, exc_value, exc_traceback):
     """

=== modified file 'ivle/dispatch/request.py'
--- ivle/dispatch/request.py	2009-02-17 23:44:43 +0000
+++ ivle/dispatch/request.py	2009-02-18 04:54:44 +0000
@@ -229,12 +229,6 @@
         """Writes out the HTTP and HTML headers before any real data is
         written."""
         self.headers_written = True
-        
-        # app is the App object for the chosen app
-        try:
-            app = ivle.conf.apps.app_url[self.app]
-        except KeyError:
-            app = None
 
         # Prepare the HTTP and HTML headers before the first write is made
         if self.content_type != None:

=== removed directory 'www'
=== removed file 'www/README'
--- www/README	2008-02-04 00:21:29 +0000
+++ www/README	1970-01-01 00:00:00 +0000
@@ -1,95 +0,0 @@
-src directory - README
-======================
-
-This directory is the root of the IVLE web application proper. It is this
-directory that should be installed into the web server to be executed.
-Navigating to the place this directory is installed shall be the entrypoint
-into the application.
-
-Note that no files placed in this directory or its subdirectories will be
-directly visible from the web, *except* those files placed in `/media` or its
-subdirectories.
-
-Apache configuration
---------------------
-
-IVLE should be installed into a place on the file system, and then there
-should be a symlink created from Apache. Apache should symlink its IVLE
-directory to the "www" directory, a subdirectory of the IVLE trunk.
-
-The Apache conf file should have the following directives added to it, which
-configures the site to direct all URLs to the main dispatcher (except for
-files in the /media directory).
-
-    # IVLE directory configuration
-    # See src/README for instructions and explanation
-    <Directory "/ivle-directory"> 
-        SetHandler mod_python
-        PythonHandler dispatch
-        #PythonDebug On
-        Options FollowSymLinks
-        PythonOption mod_python.file_session.database_directory /path/to/shared/sessions
-    </Directory>
-    <Directory "/ivle-directory/media"> 
-        SetHandler None
-    </Directory>
-
-Where `ivle-directory` is the path to root directory of IVLE on the web
-server (the symlink which points to "www").
-
-Uncomment `PythonDebug On` to turn on debugging.
-
-Note that this disables directory listings across the whole site (which
-essentially only affects the /media directory).
-
-Python Site configuration
--------------------------
-
-The setup install script automatically configures ivle.pth in the Python site
-packages directory. This section is for if you run into trouble.
-
-You need to set up IVLE as a Python site to allow importing of IVLE modules.
-If this step is done improperly, you will see "ImportError: No module named
-dispatch".
-
-Place a file in the Python site packages directory
-(ie. /usr/lib/python2.5/site-packages) called "ivle.pth". In it place a
-single line containing the full path to the "www" directory inside
-trunk in the installed location.
-
-See http://docs.python.org/lib/module-site.html for information about
-configuring .pth files.
-
-Application configuration
--------------------------
-
-Additional settings must be written to allow IVLE to work (such as the root
-URL and student file space directories). The web application will throw an
-exception if these have not been set up (if conf/conf.py does not exist).
-
-Run setup.py, a command-line tool, which will interactively create
-conf/conf.py for you.
-
-Special handling of media directory
------------------------------------
-
-One important exception: Apache must be configured so that the `/media`
-directory and its subdirectories are served directly as-is, with no special
-handling.
-
-Files in the `/media` directory should be served with the standard MIME types
-(eg. text/html for .html, image/png for .png). **No** server-side script
-handling should take place in the media directory. That is, .py and .php files
-should be simply served up as text/plain or whatever their default MIME type
-is.
-
-This simply means that the web server should NOT be configured to handle
-scripts anywhere in the ivle directory, except for the above handling code.
-
-Subdirectories
---------------
-
-* /apps - Each plugin application has its own directory.
-* /dispatch - Handler module for the top-level dispatch.
-* /media - Contains files directly served by Apache (see above).
-* /conf - Administrator configuration files (see /conf/README).

=== removed directory 'www/apps'
=== removed file 'www/apps/__init__.py'
--- www/apps/__init__.py	2008-02-25 02:23:18 +0000
+++ www/apps/__init__.py	1970-01-01 00:00:00 +0000
@@ -1,36 +0,0 @@
-# IVLE
-# Copyright (C) 2007-2008 The University of Melbourne
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-
-# Module: apps
-# Author: Matt Giuca
-# Date: 12/12/2007
-
-# Loads IVLE applications.
-# All sub-packages in this package are apps.
-
-def call_app(appname, req):
-    """Calls an application with the given name. Passes req to the app's
-    handler."""
-    try:
-        # level=-1 to make it look in the right directory
-        app_module = __import__(appname, globals(), locals(), [], -1)
-    except ImportError, msg:
-        # Any problems meant it's a server error, because conf/apps.py said
-        # this app would be here.
-        req.throw_error(req.HTTP_INTERNAL_SERVER_ERROR,
-            "Could not load the %s application: %s" % (repr(appname), str(msg)))
-    app_module.handle(req)

=== removed directory 'www/apps/debuginfo'
=== removed file 'www/apps/debuginfo/__init__.py'
--- www/apps/debuginfo/__init__.py	2009-01-14 22:59:55 +0000
+++ www/apps/debuginfo/__init__.py	1970-01-01 00:00:00 +0000
@@ -1,126 +0,0 @@
-# IVLE
-# Copyright (C) 2007-2008 The University of Melbourne
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-
-# App: debuginfo
-# Author: Matt Giuca
-# Date: 17/12/2007
-
-# Displays lots of internal information about IVLE's running environment,
-# a la phpinfo.
-# Important: This application should be removed from a production system.
-
-import os
-import cgi
-
-from ivle import util
-import ivle.conf
-
-def handle(req):
-    """Handler for the Debug Information application."""
-
-    # Set request attributes
-    req.content_type = "text/html"
-    req.write_html_head_foot = True     # Have dispatch print head and foot
-
-    # Start writing data
-    req.write('<div id="ivle_padding">\n')
-    req.write("<h2>IVLE Debug Information</h2>\n")
-
-    print_table(req, "System Constants", [
-        ("ivle_version", ivle.conf.ivle_version),
-        ("prefix", ivle.conf.prefix),
-        ("python_site_packages", ivle.conf.python_site_packages),
-        ("data_path", ivle.conf.data_path),
-        ("log_path", ivle.conf.log_path),
-        ("root_dir", ivle.conf.root_dir),
-        ("public_host", ivle.conf.public_host),
-        ("jail_base", ivle.conf.jail_base),
-        ("default_app", ivle.conf.apps.default_app),
-        ("public_app", ivle.conf.apps.public_app),
-    ])
-
-    print_table(req, "Operating System Variables", [
-        ("uid", os.getuid()),
-        ("euid", os.geteuid()),
-        ("gid", os.getgid()),
-        ("egid", os.getegid()),
-        ("uname", os.uname()),
-    ])
-
-    print_table(req, "Available Applications", ivle.conf.apps.app_url.items())
-
-    print_table(req, "Request Properties", [
-        ("method", req.method),
-        ("uri", req.uri),
-        ("app", req.app),
-        ("path", req.path),
-        ("user", req.user),
-        ("hostname", req.hostname),
-    ])
-
-    # Violate encapsulation here to print out the hidden properties
-    print_table(req, "Apache (Hidden) Request Properties", [
-        ("hostname", req.apache_req.hostname),
-        ("method", req.apache_req.method),
-        ("unparsed_uri", req.apache_req.unparsed_uri),
-        ("parsed_uri", req.apache_req.parsed_uri),
-        ("uri", req.apache_req.uri),
-        ("filename", req.apache_req.filename),
-        ("path_info", req.apache_req.path_info),
-    ])
-
-    print_table(req, "Field Storage",
-        getfieldvalues(req.get_fieldstorage().items()))
-    session = req.get_session()
-    print_table(req, "Session Variables", session.items())
-
-    print_table(req, "HTTP Request Headers",
-        req.apache_req.headers_in.items())
-    print_table(req, "CGI Environment Variables",
-        req.get_cgi_environ().items())
-    print_table(req, "Server Environment Variables", os.environ.items())
-
-    req.write("<h3>Removal instructions</h3>\n")
-    req.write("""<p>In a production environment, debuginfo should be disabled.
-    To do this, comment out or remove the debuginfo line of the app_url
-    dictionary in ivle/conf/apps.py.</p>
-    <p>For extra security, it may be removed completely by deleting the
-    apps/debuginfo directory.</p>
-</div>
-""")
-
-def getfieldvalues(pairs):
-    """Given a list of pairs of strings and fields, returns a new list with
-    the 2nd elements of each pair modified to be the field's value."""
-    if pairs is None: return None
-    newlist = []
-    for k,v in pairs:
-        newlist.append((k,v.value))
-    return newlist
-
-def print_table(req, tablename, mapping, head_elem="h3"):
-    """Prints an HTML table with a heading.
-
-    mapping: An associative list (a list of pairs). The pairs are printed
-    using (str, repr) respectively into the two-column table."""
-    req.write("<%s>%s</%s>\n" % (head_elem, tablename, head_elem))
-    req.write('<table border="1">\n')
-    for (k,v) in mapping:
-        req.write("<tr><th>%s</th><td>%s</td></tr>\n" %
-                  (cgi.escape(str(k)), cgi.escape(repr(v))))
-    req.write("</table>\n")
-

